Bug 205000 - ethtool needs to be updated to release 4 or 5 for latest intel e1000 drivers
ethtool needs to be updated to release 4 or 5 for latest intel e1000 drivers
Product: Fedora
Classification: Fedora
Component: ethtool (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-09-01 19:43 EDT by Greg Morgan
Modified: 2013-07-02 22:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-21 19:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg Morgan 2006-09-01 19:43:27 EDT
Description of problem:
Please see bug 200656.
ethtool -e eth0 produces
"Cannot get driver information: Operation not supported"
Intel is using a script with ethtool to track down eeprom issues.
2.6.17-1.2157 kernel with Intel(R) PRO/1000 Network Driver - version
7.0.33-k2-NAPI e1000 driver fail with ethtool 3.

Version-Release number of selected component (if applicable):

How reproducible:
Use latest FC5 kernel and an e1000 driver.

Steps to Reproduce:
1. ethtool -e eth0
Actual results:
Cannot get driver information: Operation not supported

Expected results:
ethtool -e eth0
Offset          Values
------          ------

Additional info:
FC 6 also needs version 4 or 5.
Comment 1 Matthew Miller 2007-04-06 12:15:55 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Greg Morgan 2007-07-21 19:02:44 EDT
This has been fixed in Fedora 7.  I skipped 6 so I don't know that it was fixed
in Fedora 6.

Note You need to log in before you can comment on or make changes to this bug.